# dba_nextkey

(PHP 4, PHP 5, PHP 7)

dba_nextkey — Fetch next key

### Description

dba_nextkey ( resource `$handle` ) : string

dba_nextkey() returns the next key of the database and advances the internal key pointer.

### Parameters

`handle`

  The database handler, returned by dba_open() or dba_popen().

### Return Values

Returns the key on success or `FALSE` on failure.

### See Also

- dba_firstkey() - Fetch first key
- dba_key_split() - Splits a key in string representation into array representation
- Example 2 in the DBA examples